# $Revision: 1.12 $, $Date: 2006/09/27 17:07:19 $
Summary:	Library for reading and writing ID3 tags
Summary(pl):	Biblioteka pozwalajca na odczyt i zapis znacznikw ID3
Name:		libid3tag
Version:	0.15.1b
Release:	4
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.mars.org/pub/mpeg/%{name}-%{version}.tar.gz
# Source0-md5:	e5808ad997ba32c498803822078748c3
Patch0:		%{name}-id3v23.patch
URL:		http://www.underbit.com/products/mad/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
Obsoletes:	mad-libs < 0.15.0b
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libid3tag is a library for reading and (eventually) writing ID3 tags,
both ID3v1 and the various versions of ID3v2.

%description -l pl
libid3tag jest bibliotek do odczytu i zapisu znacznikw ID3 - zarwno
w wersji ID3v1 jak te ID3v2.

%package devel
Summary:	Header files for libid3tag
Summary(pl):	Pliki nagwkowe dla biblioteki libid3tag
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel
Obsoletes:	mad-devel < 0.15.0b

%description devel
Header files for libid3tag.

%description devel -l pl
Pliki nagwkowe dla biblioteki libid3tag.

%package static
Summary:	Static libid3tag library
Summary(pl):	Biblioteka statyczna libid3tag
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	mad-static < 0.15.0b

%description static
Static libid3tag library.

%description static -l pl
Biblioteka statyczna libid3tag.

%prep
%setup -q
%patch0 -p1

# Create an additional pkgconfig file
%{__cat} > id3tag.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: id3tag
Description: ID3 tag library
Requires:
Version: %{version}
Libs: -L%{_libdir} -lid3tag -lz
Cflags: -I%{_includedir}
EOF

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
install id3tag.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYRIGHT CREDITS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/id3tag.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libid3tag.spec,v $
Revision 1.12  2006/09/27 17:07:19  paszczus
- added hack to create libid3tag.pc file
- release 4 ; STBR

Revision 1.11  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.10  2005/05/25 12:54:58  pluto
- release 3 for Th.

Revision 1.9  2004/08/09 22:52:59  havner
- rel 2

Revision 1.8  2004/02/20 00:11:18  qboosh
- updated id3v23 patch

Revision 1.7  2004/02/19 23:28:24  qboosh
- updated to 0.15.1b; -devel R: zlib-devel

Revision 1.6  2003/10/19 16:43:01  qboosh
- added patch with ID3 v2.3 support from audacity; release 2

Revision 1.5  2003/06/26 22:45:51  qboosh
- cosmetics in descriptions

Revision 1.4  2003/06/21 18:33:40  migo
- dunno if this provides/obsoletes stuff is correct, seems to work (modulo ldconfig)
- forgotten cosmetics
- rel 1.96

Revision 1.3  2003/06/21 16:18:32  migo
- proper(?) Conflicts:
- release 1.95

Revision 1.2  2003/06/21 12:22:05  deejay1
- NFY ?

Revision 1.1  2003/06/19 07:47:54  migo
- initial release, NFY!
